
Figure - Bug #115104
【AF】【EVT2】【setting】【必现】setting--显示--颜色内存在很多没有名称的选项
2023-01-05 18:10 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2023-01-05

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: [ro.build.display.id]: [01.00.X101_20221228_private_userdebug]

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-10

Test Type: Free Test Root cause: 原本颜色选项在Settings内部有定义，高通有对颜色列表的overlay，由于2022/12/22日的某笔提交导致高通的overlay部分失效，导致颜色选项出现了异常，但是由于Settings menu 中明确指出[显示-颜色]选项需要裁剪，所以该选项不需要，才减掉即可

Description

前置条件：

1、DUT处于开机状态

操作步骤：

1、依次进入setting--显示--颜色

2、向下滑动查看页面选项显示

实际结果：

setting--显示--颜色内存在很多没有名称的选项

预期结果：

setting--显示--颜色内选项均正常显示，不会存在空选项

History

#1 - 2023-01-09 10:37 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#2 - 2023-01-09 17:33 - CD FW-王伟

屏幕颜色，需要硬件支持，我们这些选项有意义吗？ 设置之后是否有变化，也请确认一下@天颖

#3 - 2023-01-10 11:19 - CD FW-程天颖

- Status changed from New to ASSIGNED

Settings menu 中明确指出[显示-颜色]选项需要裁剪，所以该选项不需要

#4 - 2023-01-10 19:55 - IoT scm
AF:Settings: Display - There are a lot of options without names within the colorTC-RID: 1201-0201806IssueID: TS-R-BUG-115104Change-Id:

Ia19b78d157164a6343791074b19d77b125833598

#5 - 2023-01-10 20:01 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to SZTS_TEST 邹涛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-10

- Root cause set to 原本颜色选项在Settings内部有定义，高通有对颜色列表的overlay，由于2022/12/22日的某笔提交导致高通的overlay部分失效，导致颜色选

项出现了异常，但是由于Settings menu 中明确指出[显示-颜色]选项需要裁剪，所以该选项不需要，才减掉即可

■ Current conclusion

bug已解决，提交已入库

■ My analysis

原本颜色选项在Settings内部有定义，高通有对颜色列表的overlay，由于2022/12/22日的某笔提交导致高通的overlay部分失效，导致颜色选项出现了异常，

但是由于Settings menu 中明确指出[显示-颜色]选项需要裁剪，所以该选项不需要，裁剪掉即可

■Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/Settings/+/175646

#6 - 2023-01-31 09:39 - CDTS_TEST 王成

- Assignee changed from SZTS_TEST 邹涛 to CD Test赵飞

#7 - 2023-01-31 16:56 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

验证结果：PASS

#8 - 2023-01-31 16:56 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
